/*
 * Life.h
 *
 *  Created on: 14 jan 2012
 *      Author: Reii
 */

#ifndef LIFE_H_
#define LIFE_H_

#include "Enemy.h"

class Life: public Enemy{

public:
	static Life* getInstance(std::string filename, bool transparent, bool multi, int x, int y);
	static Life* getInstance(Image* img, bool multi, int x, int y);
protected:
	Life(std::string filename, bool transparent, bool multi, int x, int y);
	Life(Image* img, bool multi, int x, int y);
private:
	Life(const Life& e);
	const Life& operator=(const Life&);
};

#endif /* LIFE_H_ */
